Summary: Programs which control basic system processes
Name: initng
Version: 0.6.10.1
Release: b1
License: GPL
URL: http://www.initng.org
Group: System Environment/Base
Source0: http://download.initng.org/%{name}/v0.6/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: filesystem
Requires: initng(ifiles) >= 0.0.3.2
Requires(triggerin): grep coreutils
BuildRequires: libselinux-devel libsepol-devel cmake
BuildArchitectures: i586

# for usplash
#BuildRequires: initng-devel

%description
Initng is a full replacement of the old and in many ways deprecated sysvinit
tool. It is designed with speed in mind, doing as much as possible
asynchronously. In other words: It will boot your unix-system much faster,
and give you more control and statistics over your system.

%package devel
Summary: Development files for initng
Group: System Environment/Base
Requires: %{name} = %{version}-%{release}

%description devel
Files needed for doing initng development

%prep
%setup -q

%build
cmake . -DCOUNT_ME:BOOL=OFF -DCMAKE_SKIP_RPATH:BOOL=ON -DLIB_INSTALL_DIR:STRING=/%{_lib}
make %{?_smp_mflags}

# for usplash
#pushd extras/initng-usplash
#make
#popd

%install
rm -rf %{buildroot} _doc
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/sbin/killall5
mkdir _doc
mv %{buildroot}%{_datadir}/doc/%{name}/* _doc/

# for usplash
#pushd extras/initng-usplash
#cp initng-usplash initng-usplash-shutdown %{buildroot}/sbin
#mkdir -p %{buildroot}/etc/initng/system
#cp usplash.i %{buildroot}/etc/initng/system
#popd

%post
if [ -x /usr/sbin/semanage ]; then
	/usr/sbin/semanage fcontext -a -t init_exec_t /sbin/initng 2>/dev/null || :
fi
/sbin/restorecon /sbin/initng 2>/dev/null || :
/sbin/ldconfig
if [ -n "`ps -e|grep initng`" ]; then
	/sbin/ngc -c >/dev/null 2>&1
fi

%triggerin -- mkinitrd
if [ $1 = 1 -a -f /boot/grub/grub.conf -a -x /sbin/grubby ]; then
  grep -q initng /boot/grub/grub.conf
  if [ $? -ne 0 ]; then
    cp /boot/grub/grub.conf /boot/grub/grub.conf.bak
    defaultkpath=`grubby --default-kernel`
    if test -n $defaultkpath && test -f "/boot/vmlinuz-"`uname -r`
    then
    	defaultkpath="/boot/vmlinuz-"`uname -r`
    fi
    defaultinitrd=`grubby --info=$defaultkpath | grep initrd`
    grubby --add-kernel=$defaultkpath --copy-default --args="init=/sbin/initng" --title="initng boot" --$defaultinitrd
  fi
fi

%clean
rm -rf %{buildroot}

%postun
/sbin/ldconfig
if [ -x /usr/sbin/semanage ]; then
	/usr/sbin/semanage fcontext -d -t init_exec_t /sbin/initng 2>/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc COPYING AUTHORS NEWS README TODO
#%doc _doc/*
/sbin/initng
/sbin/ngc
/sbin/ngdc
/sbin/nghalt
/sbin/ngreboot
/sbin/ngrestart
/sbin/ngstart
/sbin/ngstatus
/sbin/ngstop
/sbin/ngzap
/sbin/nge
/sbin/nge_raw
/sbin/initng-segfault
/sbin/killalli5
/%{_lib}/libinitng.*
/%{_lib}/libngeclient.*
/%{_lib}/libngcclient.*
/%{_lib}/initng
%{_mandir}/*/*
#/sbin/initng-usplash
#/sbin/initng-usplash-shutdown
#/etc/initng/system

%files devel
%defattr(-,root,root)
%{_includedir}/initng

%changelog
* Mon Jul 23 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.6.10.1
* Mon Jul 3 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
